Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils.synthetic
Class SynthesisException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.apache.xml.utils.synthetic.SynthesisException

public class SynthesisException
extends java.lang.Exception

Class SynthesisException

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Field Summary
`static java.lang.String[]` | `errToString` Field errToString
`static int` | `REIFIED` Field REIFIED
`static int` | `SYNTAX` Field SYNTAX
`static int` | `UNREIFIED` Field UNREIFIED
`static int` | `UNSUPPORTED` Field UNSUPPORTED
`static int` | `WRONG_OWNER` Field WRONG_OWNER

Constructor Summary
`SynthesisException(int code)` Constructor SynthesisException
`SynthesisException(int code, java.lang.String msg)` Constructor SynthesisException

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYNTAX

    public static final int SYNTAX

  Field SYNTAX

### UNSUPPORTED

    public static final int UNSUPPORTED

  Field UNSUPPORTED

### REIFIED

    public static final int REIFIED

  Field REIFIED

### UNREIFIED

    public static final int UNREIFIED

  Field UNREIFIED

### WRONG_OWNER

    public static final int WRONG_OWNER

  Field WRONG_OWNER

### errToString

    public static final java.lang.String[] errToString

  Field errToString

Constructor Detail

### SynthesisException

    public SynthesisException(int code)

  Constructor SynthesisException

  Parameters:
    `code` -

### SynthesisException

    public SynthesisException(int code,
                              java.lang.String msg)

  Constructor SynthesisException

  Parameters:
    `code` -
    `msg` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference